#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Coro
%define		pnam	Coro
Summary:	Coro - do events the coro-way
Summary(pl.UTF-8):	Coro - obsługa zdarzeń na sposób coro
Name:		perl-Coro
Version:	6.41
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pnam}-%{version}.tar.gz
# Source0-md5:	882b3606487db94b35ac309bc7025009
Patch0:		kill-blocked-test.patch
URL:		http://search.cpan.org/dist/Coro/
BuildRequires:	perl-AnyEvent >= 2:5.0
BuildRequires:	perl-EV >= 1:4.0
BuildRequires:	perl-Event >= 1.08
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-AnyEvent-Impl-EV
BuildRequires:	perl-AnyEvent-Impl-Event
BuildRequires:	perl-Guard >= 0.5
BuildRequires:	perl-Storable >= 2.15
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-common-sense
%endif
Requires:	perl-AnyEvent >= 2:5.0
Requires:	perl-BDB >= 1.5
Requires:	perl-EV >= 1:4.0
Requires:	perl-Guard >= 0.5
Requires:	perl-Storable >= 2.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module enables you to create programs using the powerful Event
model (and module), while retaining the linear style known from simple
or threaded programs.

%description -l pl.UTF-8
Ten moduł pozwala na tworzenie programów przy użyciu potężnego modelu
(i modułu) Event z zachowaniem liniowego stylu znanego z prostych lub
wątkowych programów.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%{__sed} -i "s^/opt/bin/perl^%{_bindir}/perl^" Coro/jit*pl

%build
echo "y" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} -j1 test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes INSTALL README README.linux-glibc
%{perl_vendorarch}/Coro.pm
%{perl_vendorarch}/Coro
%dir %{perl_vendorarch}/auto/Coro
%dir %{perl_vendorarch}/auto/Coro/EV
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/EV/EV.so
%dir %{perl_vendorarch}/auto/Coro/Event
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/Event/Event.so
%dir %{perl_vendorarch}/auto/Coro/State
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/State/State.so
%{_mandir}/man3/Coro*.3pm*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Coro.git;a=log;h=master

* Mon Sep 15 2014 Łukasz Kieś <kiesiu@pld-linux.org> cff8ef1
- updated to 6.41

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 566306d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4be45e9
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 53db655
- updated BRs, added versioned runtime dependencies

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 9df077d
- up to 6.31

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 97365ce
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon May 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d6174e
- updated to 6.08
- tests require specific implementations of perl-AnyEvent (EV, Event)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> a682f29
- rel 2

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 156477a
- fixed path to perl binary

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> 2d40718
- updated to 6.06

* Thu Apr 28 2011 sparky <sparky@pld-linux.org> 28f3a07
- dropped BR: perl-Scalar-List-Utils (perl-modules provides it already)

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 620371d
- more BRs

* Fri Feb 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 00a3d25
- up to 5.372

* Mon Feb 21 2011 sparky <sparky@pld-linux.org> f0cda51
- added kill-blocked-test patch

* Mon Feb 21 2011 sparky <sparky@pld-linux.org> d05b623
- set alarm in unblock tests; does not fix the problem, onle avoids deadlock

* Mon Feb 21 2011 sparky <sparky@pld-linux.org> 1c056a7
- updated BRs

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ea9d2bf
- up to 5.26

* Thu Mar 13 2008 ankry <ankry@pld-linux.org> 7a5075a
- rel. 5

* Thu Mar 13 2008 Jakub Bogusz <qboosh@pld-linux.org> cc43c50
- perl-AnyEvent epoch

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b1a2f9
- rel 4; BR perl-Event

